Bug 2011096 - GNOME Software groups unfiltered Flathub with third-party repositories
Summary: GNOME Software groups unfiltered Flathub with third-party repositories
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-third-party
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact:
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F35FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2021-10-06 00:33 UTC by Owen Taylor
Modified: 2021-10-08 18:27 UTC (History)
3 users (show)

Fixed In Version: fedora-third-party-0.7-1.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-08 18:27:28 UTC
Type: Bug


Attachments (Terms of Use)

Description Owen Taylor 2021-10-06 00:33:48 UTC
If you:

 a) have a system-wide 'flathub' repository installed
 b) upgrade to Fedora 35
 c) go to the third-party repositories dialog

Or:

 a) Install Fedora 35
 b) Install unfiltered Flathub following the CLI instructions from https://flatpak.org/setup/Fedora/ (*)

The unfiltered Flathub repository will be grouped with Fedora third-party repositories because GNOME Software thinks that this repository is the "Fedora Flathub Selections" repository from https://fedoraproject.org/wiki/Changes/Filtered_Flathub_Applications.

fedora-third-party-0.7-1.fc35  fixes this problem by detecting this case and not including 'flathub' in the output of 'flatpak list'. See:

https://pagure.io/fedora-third-party/pull-request/1

(*) Trying to add unfiltered repo via clicking on the flatpakrepo doesn't work in current F35. That's been fixed upstream with https://gitlab.gnome.org/GNOME/gnome-software/-/merge_requests/995)

Comment 1 Fedora Update System 2021-10-06 00:38:13 UTC
FEDORA-2021-1b4ad8050d has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-1b4ad8050d

Comment 2 Kamil Páral 2021-10-06 07:54:18 UTC
The update fixes the problem.

> (*) Trying to add unfiltered repo via clicking on the flatpakrepo doesn't work in current F35. That's been fixed upstream with https://gitlab.gnome.org/GNOME/gnome-software/-/merge_requests/995)

Owen (or Milan), do you intend to submit this fix as a freeze exception as well? That would be very useful to have fixed in F35 Final.

Comment 3 Kamil Páral 2021-10-06 08:16:34 UTC
(In reply to Kamil Páral from comment #2)

Actually, it seems that the unfiltered flathub repo is still not enabled by default in F35, i.e. it missed the Change deadline, and therefore the aforementioned problem is a non-issue?

(At the same time, I discovered a different problem related to flathub repo handling in gnome-software, and filed it as bug 2011176).

Comment 4 Fedora Update System 2021-10-07 15:53:39 UTC
FEDORA-2021-1b4ad8050d has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-1b4ad8050d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-1b4ad8050d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Adam Williamson 2021-10-07 23:19:47 UTC
+3 in https://pagure.io/fedora-qa/blocker-review/issue/506 , marking accepted.

Comment 6 Fedora Update System 2021-10-08 18:27:28 UTC
FEDORA-2021-1b4ad8050d has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.